<div class="ml-0 my-3 mr-lg-3" >
  <h3 [translate]="'iDashboard.MyRecentGrades'"></h3>
  <div class="mt-4">

    <!--pre-loading state-->
    <div class="card mb-3" *ngIf="isLoading">
      <div class="card-body">
        <div class="ph-col-12">
          <div class="ph-row">
            <div class="ph-col-8 big"></div>
            <div class="ph-col-2 empty big"></div>
            <div class="ph-col-2 big"></div>
          </div>
          <div class="ph-row">
            <div class="ph-col-2 big"></div>
            <div class="mx-2 ph-col-6 big"></div>
          </div>
          <div class="ph-row">
            <div class="ph-col-4 big"></div>
          </div>
        </div>
      </div>
    </div>
    <!--end pre-loading state-->

    <div *ngIf="latestCourses">
      <div class="card mb-3" *ngFor="let course of latestCourses"> <!-- LOOP WITH CARDS -->
        <div class="card-body">
          <div class="row">
            <div class="container-fluid">
              <div class="row">
                <div class="col-md-10">
                  <div class="row">
                    <h5>{{course.course.name}}</h5>
                  </div>
                  <div class="row">
                    <span class="text-secondary mr-3"><i class="far fa-flag pr-2"></i> {{course.course.displayCode}}</span>
                    <span class="text-secondary mr-2"><i class ="fa fa-user-graduate"></i></span>
                    <span class="text-secondary mr-1" *ngFor="let instructor of course.courseClass.instructors; let isLast=last">
                      {{instructor.instructor.givenName}} {{instructor.instructor.familyName}} {{isLast ? '' : ', '}}
                    </span>
                  </div>
                </div>
                <div class="col-md-2 d-flex align-items-center justify-content-end">
                  <h1 *ngIf="course.examGrade" [ngClass]="(course.isPassed)?'passed-grade':'failed-grade'">{{course.formattedGrade}}</h1>
                  <h1 *ngIf="!course.examGrade" class="failed-grade">-</h1>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="!isLoading && latestCourses && latestCourses.length === 0">
      <div class="info-text" [translate]="'iDashboard.GradesNoRecords'"></div>
    </div>

  </div>
</div>
